<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>{%langstr:cell_properties%}{%const:long%}</title>
<link rel="stylesheet" href="{%glo:cfgWebRoot%}wysiwyg/dialog.css" type="text/css">
<script type="text/javascript" language="JavaScript">
<!--
function IsDigit(event)
{
  if(!event)
    event = window.event;
  var kc;
  if(event.keyCode)
    kc = event.keyCode;
  else
    kc = event.charCode;
  var allowed = ((kc >= 48) && (kc <= 57))
  if(!allowed)
  {
    if(!window.event)
      event.preventDefault();
    else
      window.event.returnValue = false;
  }
}
function IsLength(event)
{
  if(!event)
    event = window.event;
  var kc;
  if(event.keyCode)
    kc = event.keyCode;
  else
    kc = event.charCode;
  var allowed = (((kc >= 48) && (kc <= 57)) || (kc == 37))
  if(!allowed)
  {
    if(!window.event)
      event.preventDefault();
    else
      window.event.returnValue = false;
  }
}
function UpdateColor(field, box) {
  try {
    box.style.backgroundColor=field.value;
  } catch(e) {
    box.style.backgroundColor='';
  }
}
function GetColor(field, box) {
  var res = showModalDialog( "?module=wysiwyg&action=setcolor",
                             field.value,
                             "font-family:Verdana; font-size:12; dialogWidth:320px; dialogHeight:305px; help:0; status:0; scroll: 0" );
  if (res!=null) {
    field.value = res;
    UpdateColor(field, box);
  }
}
// -->
</script>
<script type="text/javascript" language="JavaScript">
<!--
  function OnLoad()
  {
    for ( elem in window.dialogArguments )
    {
      switch( elem )
      {
      case "TableWidth":
        TableWidth.value = window.dialogArguments["TableWidth"];
        break;
      case "TableHeight":
        TableHeight.value = window.dialogArguments["TableHeight"];
        break;

      case "BgColor":
        BgColor.value = window.dialogArguments["BgColor"];
        break;

      case "OBorderWidth":
        OBorderWidth.value = window.dialogArguments["OBorderWidth"];
        break;
      case "OBorderColor":
        OBorderColor.value = window.dialogArguments["OBorderColor"];
        break;
      case "OBorderStyle":
        OBorderStyle.value = window.dialogArguments["OBorderStyle"];
        break;
      }
    }
    UpdateColor(BgColor, xBgColor);
    UpdateColor(OBorderColor, xOBorderColor);
  }
// -->
</script>
<script type="text/javascript" language="JavaScript">
<!--
function OkClick() {
  var arr = {};
  arr["TableWidth"] = TableWidth.value;
  arr["TableHeight"] = TableHeight.value;
  arr["BgColor"] = BgColor.value;
  arr["OBorderWidth"] = OBorderWidth.value;
  arr["OBorderColor"] = OBorderColor.value;
  arr["OBorderStyle"] = OBorderStyle.value;
  window.returnValue = arr;
  window.close();
}
// -->
</script>
</head>

<body onload="OnLoad();">

<table width="100%" cellspacing="10">
<tr>
  <td colspan="4" class="title">{%langstr:cell_size%}</td>
</tr>
<tr>
  <td>{%langstr:width%}:</td>
  <td><input id="TableWidth" type="TEXT" size="5" name="TableWidth" onkeypress=""></td>
  <td>&nbsp;</td>
  <td>&nbsp;</td>
</tr>
<tr>
  <td>{%langstr:height%}:</td>
  <td><input id="TableHeight" type="TEXT" size="5" name="TableHeight" onkeypress=""></td>
  <td>&nbsp;</td>
  <td>&nbsp;</td>
</tr>
<tr>
  <td colspan="4" class="title">{%langstr:cell_background%}</td>
</tr>
<tr>
  <td>{%langstr:color%}:</td>
  <td colspan="3"><input size="20" id="BgColor" name="BgColor" onkeyup="UpdateColor(this, xBgColor);"><input type="button" value="..." OnClick="GetColor(BgColor, xBgColor);">&nbsp;<div id="xBgColor" class="colordiv"></div></td>
</tr>
<tr>
  <td colspan="4" class="title">{%langstr:cell_border%}</td>
</tr>
<tr>
  <td>{%langstr:width%}:</td>
  <td colspan="3"><input id="OBorderWidth" type="TEXT" size="5" name="OBorderWidth" onkeypress="IsDigit(event);"></td>
</tr>
<tr>
  <td>{%langstr:style%}:</td>
  <td colspan="3">
  <select size="1" id="OBorderStyle" name="OBorderStyle">
  <option value="solid">solid</option>
  <option value="dotted">dotted</option>
  <option value="dashed">dashed</option>
  <option value="double">double</option>
  <option value="groove">groove</option>
  <option value="ridge">ridge</option>
  <option value="inset">inset</option>
  <option value="outset">outset</option>
  </select>
  </td>
</tr>
<tr>
  <td>{%langstr:color%}:</td>
  <td colspan="3"><input size="20" id="OBorderColor" name="OBorderColor" onkeyup="UpdateColor(this, xOBorderColor);"><input type="button" value="..." OnClick="GetColor(OBorderColor, xOBorderColor);">&nbsp;<div id="xOBorderColor" class="colordiv"></div></td>
</tr>
<tr>
  <td colspan="4">&nbsp;</td>
</tr>
<tr>
  <td colspan="4"><p align="right"><input type="button" value="&nbsp;&nbsp;&nbsp;{%langstr:ok%}&nbsp;&nbsp;&nbsp;" OnClick="OkClick();">&nbsp;<input type="button" value="{%langstr:cancel%}" OnClick="window.close();"></p></td>
</tr>
</table>

</body>

</html>


